### Hierarchy

- unknown
  - SignOfferResponse

## Index

### Constructors

- constructor

### Methods

- clearSignedOfferPayload
- getOfferId
- getSignedOfferPayload
- getUid
- hasSignedOfferPayload
- serializeBinary
- setOfferId
- setSignedOfferPayload
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignOfferResponse(): SignOfferResponse

- Inherited from jspb.Message.constructor

  #### Returns SignOfferResponse

## Methods

### clearSignedOfferPayload

- clearSignedOfferPayload(): SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:701

  #### Returns SignOfferResponse

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:692

  #### Returns string

### getSignedOfferPayload

- getSignedOfferPayload(): undefined | OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:698

  #### Returns undefined | OfferPayload

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:695

  #### Returns string

### hasSignedOfferPayload

- hasSignedOfferPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:700

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:703

  #### Returns Uint8Array

### setOfferId

- setOfferId(value: string): SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:693

  #### Parameters

  - ##### value: string

  #### Returns SignOfferResponse

### setSignedOfferPayload

- setSignedOfferPayload(value?: OfferPayload ): SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:699

  #### Parameters

  - ##### Optional value: OfferPayload

  #### Returns SignOfferResponse

### setUid

- setUid(value: string): SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:696

  #### Parameters

  - ##### value: string

  #### Returns SignOfferResponse

### toObject

- toObject(includeInstance?: boolean): SignOfferResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:704

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignOfferResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:707

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignOfferResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignOfferResponse, reader: BinaryReader): SignOfferResponse

- - Defined in src/protobuf/pb_pb.d.ts:708

  #### Parameters

  - ##### message: SignOfferResponse

  - ##### reader: BinaryReader

  #### Returns SignOfferResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignOfferResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:706

  #### Parameters

  - ##### message: SignOfferResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignOfferResponse ): SignOfferResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:705

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignOfferResponse

  #### Returns SignOfferResponse . AsObject

Generated using TypeDoc